Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface InjectableGrailsClass

    org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
      org.codehaus.groovy.grails.commons.GrailsClass
          org.codehaus.groovy.grails.commons.InjectableGrailsClass

All Superinterfaces:
  GrailsApplicationAware, GrailsClass

    public interface InjectableGrailsClass
    extends GrailsClass

Represents a Grails class that is to be configured in Spring and as such is injectable.

Authors:
  Steven Devijver

Method Summary
`boolean` | `byName()` If autowiring by name is enabled.
`boolean` | `byType()` If autowiring by type is enabled.
`boolean` | `getAvailable()` If class should be configured for dependency injection.

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Method Detail

### byName

    public boolean byName()

  If autowiring by name is enabled.
  Returns:
    autowiring by name

### byType

    public boolean byType()

  If autowiring by type is enabled.
  Returns:
    autowiring by type

### getAvailable

    public boolean getAvailable()

  If class should be configured for dependency injection.
  Returns:
    available for dependency injection

Groovy Documentation